OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockCategoryFactoryTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.mock.MockCategoryFactoryTest

All Implemented Interfaces:
  junit.framework.Test

public class MockCategoryFactoryTest
extends junit.framework.TestCase

Field Summary
`private static java.lang.String` `CATCOMMENT`
`private static java.lang.String` `CATLABEL`
`private static java.lang.String` `CATRULE`
`private static java.lang.String` `EFFECTIVE_RULE`
`protected CatFactory` `m_catFactory`
`protected MockCategoryFactory` `m_mockCatFactory`
`private static java.lang.String` `MOCK_CATEGORY_CONFIG`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`MockCategoryFactoryTest()`

Method Summary
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testGetCategory()`
`void` `testGetEffectiveRule()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_mockCatFactory

    protected MockCategoryFactory m_mockCatFactory

### m_catFactory

    protected CatFactory m_catFactory

### CATLABEL

    private static final java.lang.String CATLABEL

See Also:
  Constant Field Values

### CATRULE

    private static final java.lang.String CATRULE

See Also:
  Constant Field Values

### EFFECTIVE_RULE

    private static final java.lang.String EFFECTIVE_RULE

See Also:
  Constant Field Values

### CATCOMMENT

    private static final java.lang.String CATCOMMENT

See Also:
  Constant Field Values

### MOCK_CATEGORY_CONFIG

    private static final java.lang.String MOCK_CATEGORY_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### MockCategoryFactoryTest

    public MockCategoryFactoryTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testGetCategory

    public void testGetCategory()

### testGetEffectiveRule

    public void testGetEffectiveRule()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.